#
# spec file for package rubygem-mime-types-data
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-mime-types-data
Version:        3.2016.0521
Release:        1.29
%define mod_name mime-types-data
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/mime-types/mime-types-data/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        mime-types-data provides a registry for information about MIME media
License:        MIT
Group:          Development/Languages/Ruby

%description
mime-types-data provides a registry for information about MIME media type
definitions. It can be used with the Ruby mime-types library or other software
to determine defined filename extensions for MIME types, or to use filename
extensions to look up the likely MIME type definitions.

%prep

%build

%install
%gem_install \
  --doc-files="History.md Licence.md README.md" \
  -f

%gem_packages

%changelog
* Sun May 22 2016 coolo@suse.com
- updated to version 3.2016.0521
  see installed History.md
  [#]# 3.2016.0521 / 2016-05-21
  * Updated the known extension list for application/octet-stream and
    application/pgp-encrypted to include gpg as an extension. Fixes
    [#3](https://github.com/mime-types/mime-types-data/pull/3) by Tao Guo
    (@taoza).
  * Updated the IANA media registry entries as of release date:
  * Updated metadata for application/EmergencyCallData.Comment\+xml,
    application/EmergencyCallData.DeviceInfo\+xml,
    application/EmergencyCallData.ProviderInfo\+xml,
    application/EmergencyCallData.ServiceInfo\+xml,
    application/EmergencyCallData.SubscriberInfo\+xml,
    application/ogg, application/problem\+json, application/problem\+xml,
    audio/ogg, text/markdown, video/H265, video/ogg.
  * Added application/efi, application/vnd.3gpp.sms\+xml,
    application/vnd.3lightssoftware.imagescal,
    application/vnd.coreos.ignition\+json, application/vnd.oma.lwm2m\+json,
    application/vnd.onepager, application/vnd.quarantainenet,
    application/vnd.vel\+json, image/emf, image/wmf, text/prs.prop.logic.
  * image/bmp has a draft RFC which would make it official; it has been
    finally been registered. As such, this version *reverses* the
    use-instead relationship of image/bmp and image/x-bmp.
  * This version requires mime-types 3.1 or later to manage data because of an
    issue with JSON data encoding for the `xrefs` field.
* Tue Feb 23 2016 coolo@suse.com
- updated to version 3.2016.0221
  see installed History.md
  [#]# 3.2016.0221 / 2016-02-21
  * Updated the known extensions list for audio/mp4.
  * Updated the IANA media registry entries as of release date:
  * Updated metadata for 3GPP-defined types (there are many),
    application/cdni, and application/rfc+xml.
  * Added application/EmergencyCallData.Comment+xml,
    application/EmergencyCallData.DeviceInfo+xml,
    application/EmergencyCallData.ProviderInfo+xml,
    application/EmergencyCallData.ServiceInfo+xml,
    application/ppsp-tracker+json, application/problem+json,
    application/problem+xml, application/vnd.filmit.zfc,
    application/vnd.hdt, application/vnd.mapbox-vector-tile,
    application/vnd.ms-PrintDeviceCapabilities+xml,
    application/vnd.ms-PrintSchemaTicket+xml,
    application/vnd.ms-windows.nwprinting.oob, application/vnd.tml,
    model/vnd.rosette.annotated-data-model, and video/H265.
  * Updated to [Contributor Covenant 1.4][Code of Conduct].
  * Shift the support code in this repository to be developed with Ruby 2.3.
    This involves:
  * Adding `frozen_string_literal: true` to all Ruby files.
  * Applied some recommended readability and performance suggestions from
    Rubocop. Ignored some style recommendations, too.
  * Replaced some cases of `foo.bar rescue nil` with `foo&.bar`.
* Sun Nov 22 2015 coolo@suse.com
- split out of rubygem-mime-type
